Update Node
curl --request PUT \
--url https://api.example.com/api/v1/workflows/{workflow_id}/nodes/{node_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"node_type": "<string>",
"position": 123,
"parallel_group": 123,
"depends_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_template": {},
"node_config": {},
"input_mapping": {},
"max_retries": 123
}
'import requests
url = "https://api.example.com/api/v1/workflows/{workflow_id}/nodes/{node_id}"
payload = {
"node_type": "<string>",
"position": 123,
"parallel_group": 123,
"depends_on": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"task_template": {},
"node_config": {},
"input_mapping": {},
"max_retries": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
node_type: '<string>',
position: 123,
parallel_group: 123,
depends_on: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
task_template: {},
node_config: {},
input_mapping: {},
max_retries: 123
})
};
fetch('https://api.example.com/api/v1/workflows/{workflow_id}/nodes/{node_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"node_type": "task",
"parallel_group": 123,
"depends_on": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"task_template": {},
"node_config": {},
"input_mapping": {},
"retry_count": 0,
"max_retries": 1
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Workflows
Update Node
PUT
/
api
/
v1
/
workflows
/
{workflow_id}
/
nodes
/
{node_id}
Update Node
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I